/**
 * base_channel.dart
 * Circumstellar - Models/Channel
 * 
 * Created by Jackson Rakena
 * Copyright (c) 2018 Jackson Rakena. All rights reserved.
 * Part of the Circumstellar project, licensed under a 3-Clause BSD License (under LICENSE)
 */

part of circumstellar;

abstract class BaseChannel extends Entity {
  /// The type of this [BaseChannel]. You can use [ChannelType] to assist with identifying.
  int type = 0;

  BaseChannel(DiscordClient client) : super(client);
}
