/**
 * request_options.dart
 * Circumstellar - Client/REST
 * 
 * Created by Jackson Rakena
 * Copyright (c) 2018 Jackson Rakena. All rights reserved.
 * Part of the Circumstellar project, licensed under a 3-Clause BSD License (under LICENSE)
 */

part of circumstellar;

class RequestOptions {
  RetryMode retryMode;
  static RequestOptions requestDefault = new RequestOptions();
  RequestOptions([this.retryMode = RetryMode.none]);
}

enum RetryMode { none, retryOnce, retryForever }
